### Method

# St IconTheme lookup_icon_for_scale

#### Declaration [src]

    StIconInfo*
    st_icon_theme_lookup_icon_for_scale (
      StIconTheme* icon_theme,
      const char* icon_name,
      int size,
      int scale,
      StIconLookupFlags flags
    )

#### Description [src]

Looks up a named icon for a particular window scale and returns a `StIconInfo` containing information such as the filename of the icon. The icon can then be rendered into a pixbuf using `st_icon_info_load_icon()`. (`st_icon_theme_load_icon()` combines these two steps if all you need is the pixbuf.).

#### Parameters

`icon_name`

  Type: `const char*`

  The name of the icon to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `int`

  Desired icon size.

`scale`

  Type: `int`

  The desired scale.

`flags`

  Type: `StIconLookupFlags`

  Flags modifying the behavior of the icon lookup.

#### Return value

Type: `StIconInfo`

A `StIconInfo` object containing information about the icon.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.